* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    line-height: 0;
}
img {
    line-height: 0;
    font-size: 0;
    max-width: 100%;
}
html {
    font-size: calc(100vw/3.75)!important;
    text-align: center;
}
@media (min-width: 600px) {
    html {
        font-size: 124px!important;
    }
}
body {
    width: 100%;
}

.container {
    position: relative;
    width: 3.75rem;
    margin: 0 auto;
    background: #02002f;
}
.form-wrapper {
    position: relative;
    background-size: 100%;
    display: none;
    /*padding: 0.32rem 0.53rem 1.71rem;*/
    box-sizing: border-box;
}
.form {
    position: absolute;
    width: 3.75rem;
    padding: 0.32rem 0.53rem 1.1rem;
    font-size: 0;
}
.form-title {
    /*width: 0.65rem;*/
    height: 0.09rem;
}
.divider {
    margin-top: 0.07rem;
    width: 100%;
    height: 0.01rem;
    line-height: 0;
    font-size: 0;
    background: #000000;
    transform: scaleY(0.5);
}
.square {
    width: 0.16rem;
    height: 0.16rem;
    position: absolute;
}
.form .cell-container {
    display: flex;
    align-items: center;
    height: 0.26rem;
}
.form .label {
    flex-shrink: 0;
}
.form .label-img {
    height: 0.09rem;
}
.form .van-cell {
    background: transparent;
    line-height: 0.14rem;
    font-size: 0.1rem;
    padding: 0 0.1rem;
}
.form .van-cell span {
    line-height: 0.14rem;
    font-size: 0.1rem;
}


.form .van-field__label {
    color: #000;
    font-size: 0.12rem;
    line-height: 0.14rem;
    width: auto;
}
.form .van-field__control {
    color: #000;
    font-size: 0.12rem;
    line-height: 0.14rem;
    opacity: 0.8;
}
.form .phone-box {
    display: flex;
    align-items: center;
}
.form .area-code {
    width: 0.55rem;
    color: #fff;
    font-size: 0.12rem;
    line-height: 0.14rem;
}
.green-bottom-line {
    position: relative;
}
.green-bottom-line::after {
    position: absolute;
    box-sizing: border-box;
    content: ' ';
    pointer-events: none;
    left: 0;
    right: 0;
    border-bottom: 1px solid #02EB02;
    bottom: 0;
    -webkit-transform: scaleY(.5);
    transform: scaleY(.5);
}
.form .area-box {
    display: flex;
    align-items: center;
    justify-content: space-between;
    line-height: 0.14rem;
}
.form .area-box span {
    line-height: 0.14rem;
    white-space: nowrap;
    flex-shrink: 1;
    overflow: hidden;
    text-overflow: ellipsis;
}
.form .area-box .van-cell {
    flex-shrink: 0;
    font-size: 0.12rem;
    color: #fff;
    justify-content: space-between;
    align-items: center;
    line-height: 0.14rem;
}
.form .title {
    font-family: FZLanTingHeiS-H-GB;
    font-weight: 600;
    font-size: 0.1rem;
    color: #004539;
    line-height: 0.15rem;
}

.confirm-btn {
    position: absolute;
    bottom: 1.09rem;
    left: 50%;
    width: 0.84rem;
    height: 0.24rem;
    /* border-radius: 0.15rem; */
    color: #fff;
    font-size: 0.1rem;
    line-height: 0.3rem;
    text-align: center;
    /*border: 0.01rem solid #00BB00;*/
    transform: translateX(-50%);
}
.confirm-btn.disabled {
    background: rgba(160, 160, 160, 0.72);
    -webkit-backdrop-filter: grayscale(1);
    backdrop-filter: grayscale(1);
    border-radius: 0.03rem;
    cursor: not-allowed;
    pointer-events: none;
}
.not-receive {
    position: relative;
}
.middle {
    background: url("../images/bg2_btn.png?v=20260728") no-repeat;
    background-size: 100% 100%;
    background-position: top;
    position: relative;
    padding: 0.17rem 0 0.16rem;
    align-items: center;
}

.not-receive.secondary .middle {
    background-image: url("../images/bg4_btn.png?v=20260728");
}


.has-bought-btn{
    width: 1.13rem;
    height: auto;
}
.claim-guide {
    display: block;
    width: 3.06rem;
    height: auto;
    margin: 0 auto;
}

.form .van-ellipsis {
    line-height: 0.14rem;
}

.van-picker .van-ellipsis {
    line-height: 0.2rem;
    color: #fff;
}
.van-picker__title {
    font-size: 0.16rem;
    color: #fff;
}
.van-picker {
    background: #1b1c1e;
}

.van-picker__confirm {
    color: #00BB00;
}
.van-picker__mask {
    background-image: linear-gradient(180deg,#1b1c1ee6,#1b1c1e66),linear-gradient(0deg,#1b1c1ee6,#1b1c1e66);
}
.van-picker__frame {
    opacity: 0.5;
}

.tip {
    margin: 0 auto;
    margin-top: 0.13rem;
    display: flex;
    align-items: center;
    justify-content: center;
    line-height: 0.09rem;
    color: #fff;
}
.tip span {
    font-size: 0.08rem;
    line-height: 0.09rem;
}
.tip img {
    margin-right: 0.05rem;
    width: 0.08rem;
    height: 0.08rem;

}
.no-order-btn {
    width: 1.13rem;
    height: auto;
}

.tip .my-auth {
    color: #02EB02;
    margin: 0 0.04rem;
}

.has-order, .no-order {
    display: none;
}

.receive-book {
    position: relative;
    display: none;
}

.message {
    position: fixed;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background: rgba(255, 255, 255, 0.8);
    padding: 0.15rem 0.2rem;
    max-width: 2.5rem;
    display: none;
    font-size: 0.14rem;
    color: #000;
    line-height: 0.18rem;
    border-radius: 0.04rem;
    white-space: pre-line;
    z-index: 4;
}
.pursuits2, .pursuits1 {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    top: 0.58rem;
    width: auto;
    height: 0.67rem;
    max-width: 3.05rem;
}
